IBM Support

Linux x86 HSM requirements

Troubleshooting


Problem

IBM Spectrum Protect™ for Space Management (HSM) requirements for Linux x86

Resolving The Problem


Hardware and Software Requirements

In general, all operating system service pack and maintenance levels are supported. Any exceptions are noted in the tables below.


Version 8.1
Hardware
Operating Systems
Communication Protocol
Systems based on the X86 64bit processor architecture such as Intel-64 or AMD64
  • 400 MB disk space for the HSM binaries
Free disk space in each HSM managed file system:
  • 1 GB
  • plus additional space, if the dsmscout daemon is used: 1 KB times the value specified for the "maxfiles" option of the "dsmmigfs add" or "dsmmigfs update" command
No additional RAM is required for product installation. RAM requirements for running the product vary widely and depend on your environment, configuration, and tasks that you perform. Additional RAM might be required to run the product.
  • SLES 12 SP1 to SP5 or higher SP5 levels
  • Red Hat Enterprise Linux 7.1.0 to 7.9.0 or higher 7.9 levels
  • Beginning with IBM Spectrum Protect version 8.1.6: SLES 15 to 15.2 or higher 15.2 levels
  • Beginning with IBM Spectrum Protect version 8.1.9: Red Hat Enterprise Linux 8.0.0 to 8.3.0 or higher 8.3 levels
  • TCP/IP, which comes standard with Linux
  • Shared Memory (only with Linux x86 Spectrum Protect server)
File Systems
  • IBM Spectrum Scale 4.2.1.0 or higher 4.2.1.x fix pack levels
  • IBM Spectrum Scale 4.2.2.0 or higher 4.2.2.x fix pack levels
  • Beginning with IBM Spectrum Protect version 8.1.2:
    • IBM Spectrum Scale 4.2.3.0 or higher 4.2.3.x fix pack levels(1)
  • Beginning with IBM Spectrum Protect version 8.1.4:
    • IBM Spectrum Scale 5.0.0.0 or higher 5.0.0.x fix pack levels
  • Beginning with IBM Spectrum Protect version 8.1.6:
    • IBM Spectrum Scale 5.0.1.0 or higher 5.0.1.x fix pack levels 
    • IBM Spectrum Scale 5.0.2.0 or higher 5.0.2.x fix pack levels
  • Beginning with IBM Spectrum Protect version 8.1.7:
    • IBM Spectrum Scale 5.0.3.0 or higher 5.0.3.x fix pack levels 
  • Beginning with IBM Spectrum Protect version 8.1.8:
    • IBM Spectrum Scale 5.0.4.0 or higher 5.0.4.x fix pack levels
  • Beginning with IBM Spectrum Protect version 8.1.9(3) and 8.1.10(2)(3):
    • IBM Spectrum Scale 5.0.5.0 or higher 5.0.5.x fix pack levels
  • Beginning with IBM Spectrum Protect version 8.1.10(3):
    • IBM Spectrum Scale 5.1.0 or higher 5.1.0.x fix pack levels
  • Beginning with IBM Spectrum Protect version 8.1.12:
    • IBM Spectrum Scale 5.1.1 or higher 5.1.1.x fix pack levels
Other Notes
  • The support for IBM Spectrum Scale is always added in addition to the versions which are already supported. Please note, that the certification was mainly done with the latest IBM Spectrum Scale and IBM Spectrum Protect version.
  • On a IBM Spectrum Scale cluster with AIX, Linux x86, Linux Power (LE) or Linux zSeries nodes, use HSM only on one of these platforms to manage a shared file system. Do not use HSM on different platforms to manage a file system shared among these platforms.
  • (2)The function mmbackup in the IBM Spectrum Scale versions lower 5.0.5 does not work in combination with the IBM Spectrum Protect backup/archive client 8.1.10.
    Please refer to the following APAR IJ22017 for IBM Spectrum Scale version 5.0.4: https://www.ibm.com/support/pages/node/2290329
    Please refer to the following APAR IJ22035 for IBM Spectrum Scale version 4.2.3: https://www.ibm.com/support/pages/node/2290401
  • IBM Spectrum Scale AFM and SOBAR(1) are supported, on IBM Spectrum Scale 4.2.3 you need at least 4.2.3.5
  • (3) If you run IBM Spectrum Protect backup-archive client 8.1.9 or 8.1.10 and you use dsmc to run you backup, please upgrade to 8.1.11 before you upgrade to IBM Spectrum Scale 5.0.5.x or 5.1.0.x or higher levels, see Upgrade to IBM Spectrum Protect backup-archive client 8.1.11 before upgrading to IBM Spectrum Scale 5.0.5 or later.
  • For the IBM Spectrum Scale product editions support with HSM (IBM Spectrum Protect™ or IBM Spectrum Archive™) please go to the IBM Knowledge Center and search for "IBM Spectrum Scale product editions". See https://www.ibm.com/support/knowledgecenter/en/STXKQY_5.0.2/ibmspectrumscale502_welcome.html



Tip: Beginning with Version 7.1.3, IBM Tivoli Storage Manager is now IBM Spectrum Protect™.


Version 7.1

Hardware
Operating Systems
Communication Protocol
Systems based on the X86 64bit processor architecture such as Intel-64 or AMD64
  • 400 MB disk space for the HSM binaries
Free disk space in each HSM managed file system:
  • 1 GB
  • plus additional space, if the dsmscout daemon is used: 1 KB times the value specified for the "maxfiles" option of the "dsmmigfs add" or "dsmmigfs update" command
No additional RAM is required for product installation. RAM requirements for running the product vary widely and depend on your environment, configuration, and tasks that you perform. Additional RAM might be required to run the product.
  • Red Hat Enterprise Linux 6
  • beginning with HSM 7.1.1.1: Red Hat Enterprise Linux 7
  • beginning with HSM 7.1.3: SLES 12
     
Support is including all mod levels and fix packs of the operating systems listed above
  • TCP/IP, which comes standard with Linux
  • Shared Memory (only with Linux x86 Spectrum Protect server)
File Systems
Beginning with HSM 7.1.0:
  • GPFS 3.4.0.14 or higher 3.4.0.x fix pack levels
  • GPFS 3.5.0 or higher
    3.5.0.x fix pack levels

Beginning with HSM 7.1.1:
  • GPFS 3.5.0 or higher 3.5.0.x fix pack levels
  • GPFS 4.1.0.10 (TL1) or higher 4.1.0.x fix pack levels

Beginning with HSM 7.1.3:
  • GPFS 3.5.0 or higher 3.5.0.x fix pack levels
  • GPFS 4.1.1.1 or higher 4.1.1.x fix pack levels
     
Beginning with HSM 7.1.4.4:
  • GPFS 3.5.0 or higher
    3.5.0.x fix pack levels
  • GPFS 4.1.1.1 or higher 4.1.1.x fix pack levels
  • GPFS 4.2.0 or higher 4.2.0.x fix pack levels

Beginning with HSM 7.1.6:
  • GPFS 3.5.0 or higher
    3.5.0.x fix pack levels
  • GPFS 4.1.1.1 or higher 4.1.1.x fix pack levels
  • GPFS 4.2.0 or higher 4.2.0.x fix pack levels
  • GPFS 4.2.1 or higher 4.2.1.x fix pack levels

Note: When GPFS snapshots are used GPFS 3.5.0.18 or higher is required (see http://www.ibm.com/support/docview.wss?uid=swg21676586 )
Additional Software

For Java GUI
  • Java: JRE 7
  • X Window System (X11).

Note: Beginning with HSM 7.1.2 the GUI is unsupported and not part of the package any more.

If you do not plan to use the HSM GUI, add the --nodeps option of the rpm command to disable the check for the X Window System (X11) requirement.
Other Notes
  • On a GPFS cluster with AIX, Linux x86 or Linux zSeries nodes, use HSM only on one of these platforms to manage a shared file system. Do not use HSM on different platforms to manage a file system shared among these platforms.
  • GPFS 3.4 was supported with 7.1.0 but had to be withdrawn with 7.1.1 because of technical reasons (APAR IT12256).
  • GPFS SOBAR is supported, required GPFS level is 3.5. TL3 or higher.
  • GPFS AFM is supported beginning with HSM 7.1.3 - required GPFS level is 4.1.1.1
  • Beginning with 4.1 GPFS is now called IBM Spectrum Scale
  • For the IBM Spectrum Scale product editions support with HSM (IBM Spectrum Protect™ or IBM Spectrum Archive™) please go to the IBM Knowledge Center and search for "IBM Spectrum Scale product editions"
    https://www.ibm.com/support/knowledgecenter/en/STXKQY_4.2.1/ibmspectrumscale421_welcome.html
  • The following IBM Spectrum Scale versions are EOS (End of Support)
    3.5
    4.1 - see https://www-01.ibm.com/support/docview.wss?uid=ibm10879357&myns=s033&mynp=OCSTXKQY&mync=E&cm_sp=s033-_-OCSTXKQY-_-E


 

[{"Line of Business":{"code":"LOB26","label":"Storage"},"Business Unit":{"code":"BU054","label":"Systems w/TPS"},"Product":{"code":"SSERBH","label":"IBM Spectrum Protect for Space Management"},"ARM Category":[{"code":"","label":""}],"Platform":[{"code":"PF016","label":"Linux"}],"Version":"8.1;7.1"}]

Document Information

Modified date:
23 April 2021

UID

swg21248771